aboutsummaryrefslogtreecommitdiffstats
path: root/charms/trusty/zookeeper/tests/00-setup
diff options
context:
space:
mode:
Diffstat (limited to 'charms/trusty/zookeeper/tests/00-setup')
-rw-r--r--charms/trusty/zookeeper/tests/00-setup16
1 files changed, 16 insertions, 0 deletions
diff --git a/charms/trusty/zookeeper/tests/00-setup b/charms/trusty/zookeeper/tests/00-setup
new file mode 100644
index 0000000..48cd230
--- /dev/null
+++ b/charms/trusty/zookeeper/tests/00-setup
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# This script sets up the requirements for amulet tests.
+
+set -x
+
+# Check if amulet is installed before adding the stable repository and updating apt-get.
+dpkg -s amulet
+if [ $? -ne 0 ]; then
+ sudo add-apt-repository -y ppa:juju/stable
+ sudo apt-get update -qq
+ sudo apt-get install -y amulet
+fi
+
+# Install any additional python packages or other required software.
+sudo apt-get install -y python3-requests \ No newline at end of file